Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlockPullQuote

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockPullQuote

Enclosing class:
  TdApi

public static final class TdApi.PageBlockPullQuote extends TdApi.PageBlock
A pull quote.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.RichText`
`credit`
Quote credit.
`TdApi.RichText`
`text`
Quote text.

## Constructor Summary

Constructors
Constructor
Description
`PageBlockPullQuote()`
A pull quote.
`PageBlockPullQuote(TdApi.RichText text, TdApi.RichText credit)`
A pull quote.
`PageBlockPullQuote(DataInput input)`
A pull quote.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.RichText text
Quote text.

### credit

public TdApi.RichText credit
Quote credit.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PageBlockPullQuote

public PageBlockPullQuote()
A pull quote.

### PageBlockPullQuote

public PageBlockPullQuote(TdApi.RichText text, TdApi.RichText credit)
A pull quote.

Parameters:
  `text` - RichText Quote text.
  `credit` - RichText Quote credit.

### PageBlockPullQuote

public PageBlockPullQuote(DataInput input) throws IOException
A pull quote.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`